local vim = vim
vim.pack.add({
	{ src = "https://github.com/folke/tokyonight.nvim" },
	{ src = "https://github.com/nvim-tree/nvim-web-devicons" },
	{ src = "https://github.com/ibhagwan/fzf-lua" },
	{ src = "https://github.com/echasnovski/mini.pick" },
	{ src = "https://github.com/echasnovski/mini.icons" },
	{ src = "https://github.com/echasnovski/mini.files" },
	{ src = "https://github.com/echasnovski/mini.pairs" },
	{ src = "https://github.com/echasnovski/mini.notify" },
	{ src = "https://github.com/echasnovski/mini.surround" },
	{ src = "https://github.com/echasnovski/mini.indentscope" },
	{ src = "https://github.com/echasnovski/mini.fuzzy" },
	{ src = "https://github.com/echasnovski/mini.tabline" },
	{ src = "https://github.com/nvim-lualine/lualine.nvim" },
	{ src = "https://github.com/folke/which-key.nvim" },
	{ src = "https://github.com/L3MON4D3/LuaSnip" },
	{ src = "https://github.com/neovim/nvim-lspconfig" },
	{ src = "https://github.com/hrsh7th/nvim-cmp" },
	{ src = "https://github.com/hrsh7th/cmp-nvim-lsp" },
	{ src = "https://github.com/hrsh7th/cmp-buffer" },
	{ src = "https://github.com/hrsh7th/cmp-path" },
	{ src = "https://github.com/hrsh7th/cmp-cmdline" },
	{ src = "https://github.com/hrsh7th/cmp-nvim-lua" },
	{ src = "https://github.com/saadparwaiz1/cmp_luasnip" },
	{ src = "https://github.com/github/copilot.vim" },
	{ src = "https://github.com/pysan3/pathlib.nvim" },
	-- { src = "https://github.com/nvim-orgmode/orgmode" },
	-- { src = "https://github.com/chipsenkbeil/org-roam.nvim" },
	-- { src = "https://github.com/danilshvalov/org-modern.nvim" },
	{ src = "https://github.com/nvim-orgmode/org-bullets.nvim" },
	{ src = "https://github.com/lukas-reineke/headlines.nvim" },
	{ src = "https://github.com/michaelb/sniprun", run = "bash install.sh 1" },
	{ src = "https://github.com/akinsho/toggleterm.nvim" },
	{ src = "https://github.com/kdheepak/lazygit.nvim" },
	{ src = "https://github.com/saecki/crates.nvim" },
	{ src = "https://github.com/nvim-treesitter/nvim-treesitter" },
	{ src = "https://github.com/folke/trouble.nvim" },
	{ src = "https://github.com/folke/todo-comments.nvim" },
	{ src = "https://github.com/MunifTanjim/nui.nvim" },
	{ src = "https://github.com/huantrinh1802/m_taskwarrior_d.nvim" },
	{ src = "https://github.com/rmagatti/auto-session" },
	{ src = "https://github.com/romgrk/barbar.nvim" },
	{ src = "https://github.com/christoomey/vim-tmux-navigator" },
	{ src = "https://github.com/rachartier/tiny-inline-diagnostic.nvim" },
	{ src = "https://github.com/zeioth/garbage-day.nvim" },
	{ src = "https://github.com/ray-x/lsp_signature.nvim" },
	{ src = "https://github.com/DNLHC/glance.nvim" },
	{ src = "https://github.com/rmagatti/logger.nvim" },
	{ src = "https://github.com/rmagatti/goto-preview" },
	{ src = "https://github.com/norcalli/nvim-colorizer.lua" },
})

require('mini.icons').setup({})
require('mini.pick').setup({})
require('mini.pairs').setup({})
require('mini.notify').setup({})
require('mini.surround').setup({})
require('mini.indentscope').setup({})
require('mini.tabline').setup({})
require('mini.fuzzy').setup({})
require('lualine').setup({ options = { theme = 'tokyonight'	} })
require('which-key').setup({})
require('fzf-lua').setup({})
require('crates').setup({})
require('todo-comments').setup({
	options = {
		keywords = {
			FIX = {
				icon = " ", -- icon used for the sign, and in search results
				color = "error", -- can be a hex color, or a named color (see below)
				alt = { "FIXME", "BUG", "FIXIT", "ISSUE" }, -- a set of other keywords that all map to this FIX keywords
				-- signs = false, -- configure signs for some keywords individually
			},
			TODO = { icon = " ", color = "info" },
			HACK = { icon = " ", color = "warning" },
			WARN = { icon = " ", color = "warning", alt = { "WARNING", "XXX" } },
			PERF = { icon = " ", alt = { "OPTIM", "PERFORMANCE", "OPTIMIZE" } },
			NOTE = { icon = " ", color = "hint", alt = { "INFO" } },
			TEST = { icon = "⏲ ", color = "test", alt = { "TESTING", "PASSED", "FAILED" } },
		},
	}
})
require('trouble').setup({})
-- require('orgmode').setup({
-- 	org_agenda_files = { '~/org/*' },
-- 	org_default_notes_file = '~/org/notes.org',
-- })
-- require('org-roam').setup({ directory = '~/org/roam' })
-- require("orgmode").setup({})
require('org-bullets').setup({})
require('headlines').setup({})
require('sniprun').setup({
	binary_path = '/home/th3r00t/.local/share/nvim/site/pack/core/opt/sniprun/\
	target/release/sniprun'
})
require('toggleterm').setup({
	size = 20,
	open_mapping = [[<c- >]],
	hide_numbers = true,
	shade_filetypes = {},
	shading_factor = 2,
	start_in_insert = true,
	insert_mappings = true,
	persist_size = true,
	direction = 'horizontal',
	close_on_exit = true,
	shell = vim.o.shell,
})
require('m_taskwarrior_d').setup({})
require("auto-session").setup({
	suppressed_dirs = { "~/Downloads", "~/Documents", "~/Projects", "~/" },
})
require('barbar').setup({})
require('goto-preview').setup({ default_mappings = true })
require('colorizer').setup({})
